All ImageMagic CLI fail on OSX 10.6

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".

All ImageMagic CLI fail on OSX 10.6

Postby calciphus » 2011-08-07T02:28:39+00:00

Hey guys,

First time post, relatively new to OSX as well, so I apologize in advance if I'm stumbling around the system a bit...used ImageMagick and RMagick on Linux for years.

Trying to get a new machine set up to develop on, and can't seem to get ImageMagick to play nice with OSX. Downloaded the pre-built binaries and followed instructions from ImageMagick.com. When I run anything (like, say, convert), I get this lovely message:

dyld: Library not loaded: /usr/lib/libltdl.7.dylib
Referenced from: [my install dir]/bin/convert
Reason: Incompatible library version: convert requires version 10.0.0 or later, but libltdl.7.dylib provides version 9.0.0
Trace/BPT trap

Any thoughts? Poking around for how to upgrade libltdl (libtools) has yielded no success on the OSX front.
calciphus
 
Posts: 1
Joined: 2011-08-07T02:11:42+00:00

Re: All ImageMagic CLI fail on OSX 10.6

Postby magick » 2011-08-07T06:14:22+00:00

ImageMagick binaries are for Mac OS Lion. Download ImageMagick from http://macports.org. They have a version compatible with your OS.
User avatar
magick
Site Admin
 
Posts: 9547
Joined: 2003-05-31T11:32:55+00:00

Re: All ImageMagic CLI fail on OSX 10.6

Postby omgoleus » 2011-08-25T15:49:12+00:00

Oh man, really? No binaries for other versions?

I'm trying to set up an installation script for a class in computing methods for experimental psychology. I have a script that installs all the right software in the right places, which has taken me a week to get sorted out so far, with all the complications of Enthought Python, psychopy, pygame... The last task is to get ImageMagick to install. I would LOVE to be able to avoid saying "you have to find the disks that came with your computer and install the developer tools so you can install macports so you can install ImageMagick". The precompiled binary was just the thing... surely the precompiled binaries for 10.6 and 10.5 are still available somewhere? I mean, they must have existed at some point... they can't have become completely lost.

This would really make the difference between feasible and unfeasible for us to use ImageMagick in this class! Please help!

Thanks very much in advance!

-dave
omgoleus
 
Posts: 7
Joined: 2011-08-25T07:50:19+00:00

Re: All ImageMagic CLI fail on OSX 10.6

Postby fmw42 » 2011-08-26T18:51:21+00:00

Unfortunately, the IM developers have only one Mac for creating binaries and that keeps changing as Mac OSX gets upgraded. I started out on Tiger when there was a Tiger binary. But I had to learn to install from source when Leopard came out. The easiest way is to use MacPorts. But I searched Google and found this. I don't know if it works or is going to be helpful as I have never used it. But see http://hints.macworld.com/article.php?s ... 8051248464 or http://www.icoretech.org/2009/08/instal ... w-leopard/
User avatar
fmw42
 
Posts: 13879
Joined: 2007-07-02T17:14:51+00:00
Location: Sunnyvale, California, USA


Return to Users

Who is online

Users browsing this forum: Yahoo [Bot] and 13 guests